; this is simple (and sample) scm script for selective color blur, it process one image and save the output as output.jpg

(define (colorblur-simple filename mode radius iter coltr brtr linestr cleanup darkpoint lightpoint saturation fastmode mindir softclean)
		(let* (
			(image (car (gimp-file-load RUN-NONINTERACTIVE filename filename)))
			(drawable (car (gimp-image-get-active-layer image)))
		      )
		 
		(plug-in-colorblur RUN-NONINTERACTIVE image drawable mode radius iter coltr brtr linestr cleanup darkpoint lightpoint saturation fastmode mindir softclean)
		
		;Save to jpg
		(gimp-file-save RUN-NONINTERACTIVE image drawable "output.jpg" "output.jpg")
		)

	)
	
; all parameters to are numbers !
	
;1. Processing mode 				<0-3> ordered as in GUI
;2. Radius						INT
;3. Iterations					INT
;4. Color treshold				FLOAT
;5. Brightness treshold			FLOAT
;6. Lines creation treshold		FLOAT
;7. Clean small noise/detials	BOOL(0=no,1=yes)
;8 darkpoint 					FLOAT
;9lightpoint					FLOAT
;10saturation					FLOAT
;11fastmode						BOOL(0=no,1=yes)
;12mindircount					INT <1-4>
;13softclean					BOOL(0=no,1=yes)
